* {
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

@supports (-webkit-touch-callout: none) {
    img {
        -webkit-touch-callout: none
    }
}

@font-face {
    font-family: NumerHIC;
    src: url('../../nav/fonts/numerhic.otf');
}

.loader p {
    background-color: white;
    opacity: 0.7;
    border-radius:5px;
    color: rgb(45, 44, 44);
    height: fit-content;
    padding: 2px
}

#btnRules,
#btnNew {
    display: block
}

/***** contenu *********/
.content {
    position: absolute;
    top: 0;
    align-items: stretch;
    width: 100vw;
}

#words {
    /* display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1; */
    padding: 2vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

#mot {
    margin: 2vh;
    // box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    width: clamp(200px, 100%, 400px);
    //max-width:400px;
    height: 60px;
    // height: fit-content
}

#mot p {
    font-family: NumerHIC;
    font-size: 50px;
    text-align: center;
    padding: 2px;
}

#mot p.found {
    animation: mymove 2s forwards;
}

#clear {
    font-size: 1.5em;
    float: right;
    border: none;
    border-radius: 50%;
    margin-top: -20px;
    margin-right: -10px;
    background: red;
    color: white;
    padding: 5px 10px;
    cursor: pointer;
    transition: transform 0.5s ease
}

/* #bouton {
	width: 80px;
	cursor: pointer;
	transition: transform 0.5s ease
 } */
#clear:hover {
    transform: scale(1.2);
    transform-origin: center;
}

@keyframes mymove {
    100% {
        opacity: 0;
    }
}

canvas {
    //border: solid;
}

#final {
    max-width: 800px;
    max-height: 800px;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 50vw;
    display: none;
    opacity: 0;
    transition-property: display, opacity;
    transition-duration: 2s;
    transition-timing-function: ease-in-out;
    transition-behavior: allow-discrete;
}

#final.open {
    display: block;
    max-height: 1000px;
    opacity: 1;

    @starting-style {
        opacity: 0;
    }
}

#syllabes {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
}

#syllabes li {
    border: solid 1px;
    border-radius: 8px;
    padding: 2%;
    font-family: NumerHIC;
    font-size: clamp(1em, 40px, 3em);
    color: black;
    list-style-type: none;

    margin: 2px;
    background-color: white;
    min-width: fit-content;
    margin: 0.5vw;
    cursor: pointer;
}

#syllabes li span {
    color: grey
}

#syllabes li.clicked {
    background-color: green;
    color: white;
}

#syllabes li.hidden {
    opacity: 0.2;
    user-select: none;
}

@media screen and (orientation: portrait) {
    .content {
        flex-direction: column;
    }

    #mot {
        /* font-size: 2em;
        margin: 1vh;
        min-height: 2em;
        //line-height: 2em; */
        height: 50px
    }

    #mot p {
        font-size: 40px;
    }

    #syllabes li {
        padding: 1.5vw;
        font-size: 30px;

    }

    #final {

        border: solid;
        position: absolute;
        right: 0;
        bottom: 0;
        width: 80vw;
    }
}

@media screen and (orientation: portrait) and (max-height: 650px) {
    .content {
        //background-color: blue;
        height: 100vh
    }

    #syllabes li {
        padding: 5px;
        font-size: 25px;
    }
}

@media screen and (orientation: landscape) and (max-height: 600px) {
    /* .content {
        background-color: red;
    } */

    #syllabes li {
        padding: 1vh 1.5vh;
        font-size: 30px;
        margin: 1px;

    }

}

@media screen and (orientation: landscape) and (max-height: 700px) {

    #final {
        max-width: 500px;
        max-height: 500px;
    }
}